Page MenuHomePhabricator

ecore: move property string definition to shared headers for Efl.Composite_Model.
ClosedPublic

Authored by cedric on Apr 6 2019, 6:55 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Apr 6 2019, 6:55 PM
cedric requested review of this revision.Apr 6 2019, 6:55 PM
segfaultxavi added inline comments.
src/lib/ecore/efl_composite_model_private.h
5

Do you think _CHILD_INDEX is safe enough to use in a header without namespacing?

SanghyeonLee added inline comments.Apr 7 2019, 10:29 PM
src/lib/ecore/efl_composite_model_private.h
5

could be better to put something like... COMPOSITE_MODEL_CHILD_INDEX ...

cedric planned changes to this revision.Apr 8 2019, 6:38 PM

Indeed

cedric updated this revision to Diff 21338.Apr 12 2019, 10:29 AM

Rename and rebase.

SanghyeonLee accepted this revision.Apr 17 2019, 12:33 AM

looks good to me,
@segfaultxavi do you have other opinion?

This revision is now accepted and ready to land.Apr 17 2019, 12:33 AM
segfaultxavi accepted this revision.Apr 17 2019, 2:19 AM

Yeah, much better now, sure.

This revision was automatically updated to reflect the committed changes.